Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class StreamInputStream

    java.lang.Object
      java.io.InputStream
          edu.harvard.hul.ois.jhove.module.pdf.StreamInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class StreamInputStream

extends java.io.InputStream

A StreamInputStream is an InputStream which provides the bytes from a PdfStream. It reads bytes from the PdfStream's underlying file starting at the beginning of the stream data and providing as many bytes as are indicated by its length. No filters are applied; just the raw data is read.

Constructor Summary
`StreamInputStream(PdfStream pdfStream, java.io.RandomAccessFile file)`

Method Summary
`int` | `read()` Return one byte from the stream.

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamInputStream

    public StreamInputStream(PdfStream pdfStream,
                             java.io.RandomAccessFile file)

Method Detail

### read

    public int read()
             throws java.io.IOException

  Return one byte from the stream. When the end of the stream is reached, returns -1.

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD